import './{{rootRoute}}.scss'
import PAGES from '../../.pages.json'
import {{RootRoute}}Bucket from './{{rootRoute}}.bucket'
let _module = angular.module('{{pageName}}.{{rootRoute}}', ['ui.router'])
for (let rootRouter in PAGES) {
    if (rootRouter == '{{rootRoute}}') {
        PAGES[rootRouter].forEach((router) => {
            _module.controller({{RootRoute}}Bucket[router].controllerName, {{RootRoute}}Bucket[router].controller)
        })
    }
}
_module.config([
    '$stateProvider',
    '$urlRouterProvider',
    ($stateProvider, $urlRouterProvider) => {
        for (let rootRouter in PAGES) {
            if (rootRouter == '{{rootRoute}}') {
                PAGES[rootRouter].forEach((router) => {
                    $stateProvider
                        .state(rootRouter + '.' + router, {
                            url: '/' + router,
                            views: {
                                'content': {
                                    template:  {{RootRoute}}Bucket[router].template,
                                    controller: {{RootRoute}}Bucket[router].controllerName + ' as ctrl'
                                }
                            }
                        })
                })
            }
        }
    }
])
